com.massivecraft.factions.cmd

## Class CmdTntFill

- java.lang.Object
- - com.massivecraft.factions.zcore.MCommand<SaberFactions>
  - - com.massivecraft.factions.cmd.FCommand
    - - com.massivecraft.factions.cmd.tnt.CmdTntFill

    public class CmdTntFill
    extends FCommand

### Field Summary

### Fields inherited from class com.massivecraft.factions.cmd.FCommand

`disableOnLock, fme, isMoneyCommand, myFaction, sdf, senderMustBeAdmin, senderMustBeColeader, senderMustBeMember, senderMustBeModerator`

### Fields inherited from class com.massivecraft.factions.zcore.MCommand

`aliases, allowNoSlashAccess, args, commandChain, errorOnToManyArgs, helpLong, me, optionalArgs, p, permission, requiredArgs, sender, senderIsConsole, senderMustBePlayer, subCommands, visibility`

### Constructor Summary

Constructors
Constructor and Description
`CmdTntFill()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canHold(org.bukkit.inventory.Inventory inventory, int amount)`
`int` `getEmptySlots(org.bukkit.entity.Player p)`
`TL` `getUsageTranslation()`
`boolean` `inventoryContains(org.bukkit.inventory.Inventory inventory, org.bukkit.inventory.ItemStack item)`
`void` `perform()`
`void` `removeFromInventory(org.bukkit.inventory.Inventory inventory, org.bukkit.inventory.ItemStack item)`
`void` `takeTnt(int amount)`

### Methods inherited from class com.massivecraft.factions.cmd.FCommand

`argAsBestFPlayerMatch, argAsBestFPlayerMatch, argAsBestFPlayerMatch, argAsFaction, argAsFaction, argAsFaction, argAsFPlayer, argAsFPlayer, argAsFPlayer, assertHasFaction, assertMinRole, canAffordCommand, canIAdministerYou, doWarmUp, doWarmUp, execute, isEnabled, payForCommand, payForCommand, strAsBestFPlayerMatch, strAsFaction, strAsFPlayer, validSenderType`

### Methods inherited from class com.massivecraft.factions.zcore.MCommand

`addSubCommand, argAsBestPlayerMatch, argAsBestPlayerMatch, argAsBestPlayerMatch, argAsBool, argAsBool, argAsDouble, argAsDouble, argAsInt, argAsInt, argAsPlayer, argAsPlayer, argAsPlayer, argAsString, argAsString, argIsSet, execute, getHelpShort, getToolTips, getToolTips, getUseageTemplate, getUseageTemplate, getUseageTemplate, msg, msg, replaceFactionTags, replaceFPlayerTags, sendFancyMessage, sendFancyMessage, sendMessage, sendMessage, setHelpShort, strAsBestPlayerMatch, strAsBool, strAsDouble, strAsInt, strAsPlayer, validArgs, validArgs, validCall, validSenderPermissions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CmdTntFill

    public CmdTntFill()

### Method Detail

#### perform

    public void perform()

Specified by:
  `perform` in class `MCommand<SaberFactions>`

#### takeTnt

    public void takeTnt(int amount)

#### canHold

    public boolean canHold(org.bukkit.inventory.Inventory inventory,
                           int amount)

#### inventoryContains

    public boolean inventoryContains(org.bukkit.inventory.Inventory inventory,
                                     org.bukkit.inventory.ItemStack item)

#### removeFromInventory

    public void removeFromInventory(org.bukkit.inventory.Inventory inventory,
                                    org.bukkit.inventory.ItemStack item)

#### getEmptySlots

    public int getEmptySlots(org.bukkit.entity.Player p)

#### getUsageTranslation

    public TL getUsageTranslation()

Specified by:
  `getUsageTranslation` in class `MCommand<SaberFactions>`